Bug 864120 - LUKS encryption option has no effect
LUKS encryption option has no effect
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-10-08 11:57 EDT by Kamil Páral
Modified: 2012-10-18 05:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 14:44:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda-ks.cfg (893 bytes, text/plain)
2012-10-08 12:00 EDT, Kamil Páral
no flags Details
anaconda.log (16.37 KB, text/plain)
2012-10-08 12:00 EDT, Kamil Páral
no flags Details
anaconda.program.log (27.59 KB, text/plain)
2012-10-08 12:01 EDT, Kamil Páral
no flags Details
anaconda.storage.log (103.72 KB, text/plain)
2012-10-08 12:01 EDT, Kamil Páral
no flags Details
syslog (76.03 KB, text/plain)
2012-10-08 12:01 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2012-10-08 11:57:43 EDT
Description of problem:
I have used a custom partitioning screen, let anaconda create the layout automatically, selected root partition and checked "Encrypt" checkbox. Then hit Finish button and started installation.

I was not asked for password and the resulting system has only standard partitioning, none of them is encrypted.

Version-Release number of selected component (if applicable):
F18 Beta TC2
anaconda 18.12

How reproducible:
seems always

Steps to Reproduce:
1. follow description
Comment 1 Kamil Páral 2012-10-08 12:00:51 EDT
Created attachment 623528 [details]
anaconda-ks.cfg
Comment 2 Kamil Páral 2012-10-08 12:00:56 EDT
Created attachment 623529 [details]
anaconda.log
Comment 3 Kamil Páral 2012-10-08 12:01:01 EDT
Created attachment 623530 [details]
anaconda.program.log
Comment 4 Kamil Páral 2012-10-08 12:01:04 EDT
Created attachment 623531 [details]
anaconda.storage.log
Comment 5 Kamil Páral 2012-10-08 12:01:10 EDT
Created attachment 623532 [details]
syslog
Comment 6 Kamil Páral 2012-10-08 12:01:54 EDT
Proposing as Beta blocker:
" The installer's custom partitioning mode must be capable of the following:

    Creating, destroying and assigning mount points to partitions of any specified size using most commonly-used filesystem types
    Creating encrypted partitions
    Rejecting obviously invalid operations without crashing 
"
https://fedoraproject.org/wiki/Fedora_18_Beta_Release_Criteria
Comment 7 Adam Williamson 2012-10-11 13:20:23 EDT
Discussed at 2012-10-11 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-11/f18beta-blocker-review-3.1.2012-10-11-16.04.log.txt . Accepted as a blocker per criterion cited in comment #6. (We note this may be fixed as of TC3 or 18.15, kparal will re-test).
Comment 8 Kamil Páral 2012-10-15 10:07:22 EDT
This has been changed in F18 Beta TC4, the UI looks different now. However, it still doesn't work. It allows me to set password, but it claims I have too little free space on disk, even though I have selected all existing partitions to be removed. It seems that disk encryption currently doesn't work well with reclaiming space.
Comment 9 David Lehman 2012-10-15 10:46:52 EDT
(In reply to comment #8)
> This has been changed in F18 Beta TC4, the UI looks different now. However,
> it still doesn't work. It allows me to set password, but it claims I have
> too little free space on disk, even though I have selected all existing
> partitions to be removed. It seems that disk encryption currently doesn't
> work well with reclaiming space.

So you have verified that the exact path you describe works without encryption but fails with encryption? If so, please attach anaconda.log and storage.log from each. Thanks.
Comment 10 David Lehman 2012-10-17 09:27:05 EDT
Encryption works as of anaconda-18.14-1 in my testing. Kamil, this is not going to be a catch-all bug for every encryption-related failure in F18. If you are experiencing a problem, please open a new bug with specific details and logs.
Comment 11 Adam Williamson 2012-10-17 14:44:21 EDT
It seems pretty clear that the original bug here has been addressed, if it's as of 18.14, then we can close it, as 18.14 has gone stable. Kamil, can you open a new bug for the problem you're now experiencing, and nominate it as a blocker if appropriate? Thanks.
Comment 12 Kamil Páral 2012-10-18 05:07:00 EDT
I verified that encrypted installation works if I have an uninitialized disk (anaconda 18.16). I'll report a new bug wrt comment 8.

Note You need to log in before you can comment on or make changes to this bug.